Skip to main content
POST
/
ai
/
actor-project-threads
/
{thread_id}
/
run
Run thread
curl --request POST \
  --url https://api.wacht.dev/ai/actor-project-threads/{thread_id}/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "execution_type": {
    "approval_response": {
      "request_message_id": "<string>",
      "approvals": [
        {
          "tool_name": "<string>",
          "mode": "<string>"
        }
      ]
    },
    "cancel": {}
  }
}
'
{
  "status": "queued",
  "conversation_id": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

thread_id
string
required

Body

application/json
agent_id
string | null
execution_type
object

Response

200 - application/json

Execution queued or cancelled

status
enum<string>
Available options:
queued,
cancelled
conversation_id
string | null